> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payouts

> List payouts and filter them by partner or any custom properties.
            
To filter payouts on custom property, just add the property with its exact value as a query parameter:
`myCustomProp=ThisIsAValue`
This will return the payout where myCustomProp exactly matches the provided value.



## OpenAPI

````yaml /openapi.json get /v3/payouts
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/payouts:
    get:
      tags:
        - Payouts
      summary: List payouts
      description: "List payouts and filter them by partner or any custom properties.\r\n            \r\nTo filter payouts on custom property, just add the property with its exact value as a query parameter:\r\n`myCustomProp=ThisIsAValue`\r\nThis will return the payout where myCustomProp exactly matches the provided value."
      parameters:
        - name: partner_id
          in: query
          description: The list of partner IDs to filter the payouts on.
          schema:
            type: array
            items:
              type: integer
              format: int32
        - name: from
          in: query
          description: Filter payouts created after this date (Inclusive)
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          description: Filter payouts created before this date (Exclusive)
          schema:
            type: string
            format: date-time
        - name: offset
          in: query
          description: >-
            The cursor used in pagination. This is the index of the first payout
            to be returned.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The maximum number of payouts to be returned. The default is 20.
          schema:
            type: integer
            format: int32
        - name: sort_by
          in: query
          description: >-
            The property used to sort the payouts by. The default is
            CreationDate.
          schema:
            type: string
            example: CreationDate
          example: CreationDate
        - name: order_by
          in: query
          description: >-
            The sorting direction for the returned payouts. Accepted values:
            ASC, DESC. The default is DESC.
          schema:
            type: string
      responses:
        '200':
          description: Payouts returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutListResponseDto'
      security:
        - oauth2:
            - Payout.View
            - Api
components:
  schemas:
    PayoutListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PayoutDto'
          nullable: true
        paginationSkipCount:
          type: integer
          format: int32
        totalCount:
          type: integer
          description: >-
            Gets or sets the total number of items that could be returned by
            this command (without pagination).
          format: int32
      additionalProperties: false
    PayoutDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        partnerId:
          type: integer
          format: int32
        partnerName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        uniqueId:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        rewardType:
          $ref: '#/components/schemas/RewardType'
        fromDate:
          type: string
          format: date-time
          nullable: true
        toDate:
          type: string
          format: date-time
          nullable: true
        amount:
          $ref: '#/components/schemas/AmountDto'
        taxAmount:
          $ref: '#/components/schemas/AmountDto'
        grossAmount:
          $ref: '#/components/schemas/AmountDto'
        rewardCount:
          type: integer
          format: int32
        creationDate:
          type: string
          format: date-time
        paidDate:
          type: string
          format: date-time
          nullable: true
        acceptedDate:
          type: string
          format: date-time
          nullable: true
        validatedDate:
          type: string
          format: date-time
          nullable: true
        paidByUserId:
          type: integer
          format: int32
          nullable: true
        acceptedByUserId:
          type: integer
          format: int32
          nullable: true
        validatedByUserId:
          type: integer
          format: int32
          nullable: true
        invalidatedDate:
          type: string
          format: date-time
          nullable: true
        invalidatedByUserId:
          type: integer
          format: int32
          nullable: true
        status:
          $ref: '#/components/schemas/PayoutStatus'
        source:
          $ref: '#/components/schemas/PayoutSource'
        shouldValidateRewards:
          type: boolean
        shouldAttachInvoice:
          type: boolean
        isSelfInvoice:
          type: boolean
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
        rewards:
          type: array
          items:
            $ref: '#/components/schemas/RewardDto'
          nullable: true
      additionalProperties: false
    RewardType:
      enum:
        - Unknown
        - Cash
        - Coupon
        - Credit
        - GiftCard
      type: string
    AmountDto:
      type: object
      properties:
        value:
          type: number
          format: double
        currency:
          type: string
          nullable: true
      additionalProperties: false
    PayoutStatus:
      enum:
        - Unknown
        - Draft
        - Pending
        - Ready
        - Paid
      type: string
    PayoutSource:
      enum:
        - Unknown
        - Manual
        - Automatic
      type: string
    RewardDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        uniqueId:
          type: string
          nullable: true
        partnerId:
          type: integer
          format: int32
        dealId:
          type: integer
          format: int32
          nullable: true
        status:
          $ref: '#/components/schemas/RewardStatus'
        creationDate:
          type: string
          format: date-time
        amount:
          $ref: '#/components/schemas/AmountDto'
        payoutId:
          type: integer
          format: int32
          nullable: true
        comment:
          type: string
          nullable: true
        rewardType:
          $ref: '#/components/schemas/RewardType'
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    RewardStatus:
      enum:
        - Unknown
        - Pending
        - Accepted
        - Paid
        - Declined
      type: string

````